
__all__ = [
    'CryptaStorage',
]


class CryptaStorage(object):
    """ Base class for accessing to Crypta data """

    def lookup_cids(self, person_ids, cookies):
        """
        Returns list of crypta ids for given person info
        `person_ids` is list of dict like [{'id_value': '...', 'phone': '...', 'email': '...'}]
        `cookies` is list of dict like [{'cookie_vendor': '...', 'cookie': '...'}]
        """
        raise NotImplementedError()
